Bug 974721 - (ghc-maccatcher) Review Request: ghc-maccatcher - Obtain the host MAC address on *NIX and Windows
Review Request: ghc-maccatcher - Obtain the host MAC address on *NIX and Windows
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ricky Elrod
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-uuid
  Show dependency treegraph
 
Reported: 2013-06-14 22:25 EDT by Ben Boeckel
Modified: 2013-07-16 23:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-maccatcher-2.1.5-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 22:59:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
relrod: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2013-06-14 22:25:23 EDT
Spec URL: http://benboeckel.net/packaging/ghc-maccatcher/ghc-maccatcher.spec
SRPM URL: http://benboeckel.net/packaging/ghc-maccatcher/ghc-maccatcher-2.1.5-1.fc20.src.rpm
Description:
Obtain the host MAC address on *NIX and Windows.

Fedora Account System Username: mathstuf

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5505481
Comment 1 Ricky Elrod 2013-06-29 14:02:45 EDT
Taking for review.
Comment 2 Ricky Elrod 2013-06-29 14:11:44 EDT
Looks good to me. APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

---

- Static libraries in -static subpackage, if present.
  Note: Archive *.a files found in ghc-maccatcher-devel
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

This is ignorable because of this:
https://fedoraproject.org/wiki/Packaging:Haskell#Static_vs._Dynamic_Linking
---

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-maccatcher-2.1.5-1.fc20.x86_64.rpm
          ghc-maccatcher-devel-2.1.5-1.fc20.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-maccatcher ghc-maccatcher-devel
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-maccatcher (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(binary-0.5.1.1-72ed744c57c32286a49da6dda4f660b7)
    ghc(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc(process-1.1.0.2-76e05340eb66705981411022731ca84a)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbinary-0.5.1.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdirectory-1.2.0.1-ghc7.6.3.so()(64bit)
    libHSfilepath-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSprocess-1.1.0.2-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

ghc-maccatcher-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(maccatcher-2.1.5-2a37b19012ffa0b6954e320cc463cef6)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(binary-0.5.1.1-72ed744c57c32286a49da6dda4f660b7)
    ghc-devel(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc-devel(process-1.1.0.2-76e05340eb66705981411022731ca84a)
    ghc-maccatcher



Provides
--------
ghc-maccatcher:
    ghc(maccatcher-2.1.5-2a37b19012ffa0b6954e320cc463cef6)
    ghc-maccatcher
    ghc-maccatcher(x86-64)
    libHSmaccatcher-2.1.5-ghc7.6.3.so()(64bit)

ghc-maccatcher-devel:
    ghc-devel(maccatcher-2.1.5-2a37b19012ffa0b6954e320cc463cef6)
    ghc-maccatcher-devel
    ghc-maccatcher-devel(x86-64)



Unversioned so-files
--------------------
ghc-maccatcher: /usr/lib64/ghc-7.6.3/maccatcher-2.1.5/libHSmaccatcher-2.1.5-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/maccatcher/2.1.5/maccatcher-2.1.5.tar.gz :
  CHECKSUM(SHA256) this package     : cbafc38151d9c4c17c3055a7f8f0702bf5d7d5240db3369c84326e94ddcaa67c
  CHECKSUM(SHA256) upstream package : cbafc38151d9c4c17c3055a7f8f0702bf5d7d5240db3369c84326e94ddcaa67c


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 974721
Comment 3 Ricky Elrod 2013-07-01 13:12:04 EDT
Another note (you can fix at import time):

Make the -devel subpackage fully versioned (that is, include the %{?_isa})

https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package
Comment 4 Ben Boeckel 2013-07-01 14:24:33 EDT
Thanks for the review.

Jens, correct me if I'm wrong, but doesn't the "ghc(maccatcher-2.1.5-2a37b19012ffa0b6954e320cc463cef6)" Requires in the -devel package make it archful? Koji is showing that the i386 hash isn't the same as the x86_64, so that should be fine.

New Package SCM Request
=======================
Package Name: ghc-maccatcher
Short Description: Obtain the host MAC address on *NIX and Windows
Owners: mathstuf
Branches: f18 f19
InitialCC: haskell-sig
Comment 5 Gwyn Ciesla 2013-07-01 14:52:24 EDT
Git done (by process-git-requests).
Comment 6 Jens Petersen 2013-07-04 02:35:20 EDT
> Jens, correct me if I'm wrong, but doesn't the
> "ghc(maccatcher-2.1.5-2a37b19012ffa0b6954e320cc463cef6)" Requires in the
> -devel package make it archful? Koji is showing that the i386 hash isn't the
> same as the x86_64, so that should be fine.

Right the ABI hashes are arch dependent so there is not really
a problem but anyway I have fixed/changed this in cabal-rpm-0.8.2
which is currently in testing: and that should prevent the issue
appearing in reviews in the future.
Comment 7 Fedora Update System 2013-07-05 00:14:01 EDT
ghc-maccatcher-2.1.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-maccatcher-2.1.5-1.fc18
Comment 8 Fedora Update System 2013-07-05 00:14:14 EDT
ghc-maccatcher-2.1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-maccatcher-2.1.5-1.fc19
Comment 9 Fedora Update System 2013-07-05 20:51:04 EDT
ghc-maccatcher-2.1.5-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-07-16 22:59:27 EDT
ghc-maccatcher-2.1.5-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-07-16 23:07:40 EDT
ghc-maccatcher-2.1.5-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.